=== debian/changelog ===
ros-indigo-industrial-robot-client (0.4.3-0trusty) trusty; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Contributors: Simon Schmeisser

 -- Shaun Edwards <sedwards@swri.org>  Sun, 07 Feb 2016 06:00:00 -0000

ros-indigo-industrial-robot-client (0.4.2-0trusty) trusty; urgency=high

  * Forces the action to wait for half of the duration of the trajectory
    before it begins to check for completition. This prevents the action
    for returning immediately for trajectories that end near the start
    point and are slow to start moving.
  * Fix rejected actions when goal requests arrive in between watchdog reset und arrival of next status package
  * Contributors: Jonathan Meyer, Shaun Edwards, Simon Schmeisser (isys vision)

 -- Shaun Edwards <sedwards@swri.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-indigo-industrial-robot-client (0.4.1-0trusty) trusty; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Mon, 23 Mar 2015 05:00:00 -0000

ros-indigo-industrial-robot-client (0.4.0-0trusty) trusty; urgency=high

  * Fill stamp of the RobotStatus message Fix: #97 <https://github.com/ros-industrial/industrial_core/issues/97>
    Just edited on a github didn't test it.
  * Only accept goals after reception of controller feedback. Fix #85 <https://github.com/ros-industrial/industrial_core/issues/85>.
  * robot_client: workaround for #46 <https://github.com/ros-industrial/industrial_core/issues/46>. Fix #67 <https://github.com/ros-industrial/industrial_core/issues/67>.
    This is an updated version of the workaround committed in 9df46977. Instead
    of requiring dependent packages to invoke the function defined in the
    CFG_EXTRAS cmake snippet, the snippet now sets up the linker path directly.
    Dependent packages now only need to remember to explicitly list their
    dependency on industrial_robot_client and simple_message in their
    add_library(..) statements.
  * Contributors: Libor Wagner, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Sat, 21 Mar 2015 05:00:00 -0000

ros-indigo-industrial-robot-client (0.3.4-0trusty) trusty; urgency=high

  * robot_client: workaround for #46 <https://github.com/ros-industrial/industrial_core/issues/46>. Fix #67 <https://github.com/ros-industrial/industrial_core/issues/67>.
    This is an updated version of the workaround committed in 9df46977. Instead
    of requiring dependent packages to invoke the function defined in the
    CFG_EXTRAS cmake snippet, the snippet now sets up the linker path directly.
    Dependent packages now only need to remember to explicitly list their
    dependency on industrial_robot_client and simple_message in their
    add_library(..) statements.
  * Contributors: gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Tue, 21 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-client (0.3.3-0trusty) trusty; urgency=high

  * Fixed build issue due simple message library linking
  * Contributors: gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Mon, 13 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-client (0.3.2-0trusty) trusty; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Fri, 10 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-client (0.3.1-0trusty) trusty; urgency=high

  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Removed library export from catkin macro.  Packages that depend on these must declare library dependencies explicitly (by name)
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 06:00:00 -0000
