=== debian/control ===
Source: ros-indigo-industrial-robot-client
Section: misc
Priority: extra
Maintainer: Shaun Edwards <sedwards@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-industrial-utils, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-simple-message, ros-indigo-std-msgs, ros-indigo-trajectory-msgs, ros-indigo-urdf
Homepage: http://ros.org/wiki/industrial_robot_client
Standards-Version: 3.9.2

Package: ros-indigo-industrial-robot-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-industrial-utils, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-simple-message, ros-indigo-std-msgs, ros-indigo-trajectory-msgs, ros-indigo-urdf
Description: industrial robot client contains generic clients for connecting to industrial robot controllers with servers that adhere to the simple message protocol.
